Bug 1278561 - [abrt] general protection fault in kmem_cache_alloc_trace
[abrt] general protection fault in kmem_cache_alloc_trace
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:39768bb3ad4850de86293d96088...
:
: 1278560 1282475 1282834 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 14:32 EST by Vinicius Reis
Modified: 2017-01-23 07:59 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:42:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (64.44 KB, text/plain)
2015-11-05 14:33 EST, Vinicius Reis
no flags Details

  None (edit)
Description Vinicius Reis 2015-11-05 14:32:56 EST
Additional info:
reporter:       libreport-2.6.3
general protection fault: 0000 [#1] SMP 
Modules linked in: i2c_designware_platform i2c_designware_core nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_multitouch hid_sensor_hub i915 i2c_algo_bit drm_kms_helper drm serio_raw sdhci_acpi sdhci mmc_core video i2c_hid
CPU: 2 PID: 547 Comm: systemd-udevd Not tainted 4.2.5-300.fc23.x86_64 #1
Hardware name: Dell Inc. Inspiron 7348/0RTGX8, BIOS A07 07/07/2015
task: ffff88008e6e5880 ti: ffff880253a08000 task.ti: ffff880253a08000
RIP: 0010:[<ffffffff811ffba2>]  [<ffffffff811ffba2>] kmem_cache_alloc_trace+0x82/0x220
RSP: 0018:ffff880253a0bbd8  EFLAGS: 00010246
RAX: 00ff88025274c200 RBX: 00000000000000d0 RCX: 0000000000000000
RDX: 0000000000009b88 RSI: 00000000000000d0 RDI: 0000000000019bc0
RBP: ffff880253a0bc18 R08: ffff88025ec99bc0 R09: ffffffff81299517
R10: 00ff88025274c200 R11: 0000000000000000 R12: 00000000000000d0
R13: ffff880256003b00 R14: 0000000000000030 R15: ffff880256003b00
FS:  00007fea6f65f8c0(0000) GS:ffff88025ec80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fea6d4ba434 CR3: 00000002535c4000 CR4: 00000000003406e0
Stack:
 ffff88008f0b9aa0 ffffffff81299517 ffff880253a0bc18 ffff880254faa000
 ffff88025245a200 ffff88025261aa00 0000000000000000 0000000000000000
 ffff880253a0bc68 ffffffff81299517 ffff88025245a248 ffff88008f0b9aa0
Call Trace:
 [<ffffffff81299517>] ? kernfs_fop_open+0x217/0x380
 [<ffffffff81299517>] kernfs_fop_open+0x217/0x380
 [<ffffffff8121bb6f>] do_dentry_open+0x1ff/0x2f0
 [<ffffffff81299300>] ? kernfs_fop_release+0x70/0x70
 [<ffffffff8121d006>] vfs_open+0x56/0x60
 [<ffffffff8122c034>] path_openat+0x1e4/0x12a0
 [<ffffffff8164412d>] ? move_addr_to_user+0xbd/0xe0
 [<ffffffff814a3300>] ? add_device_randomness+0xe0/0x120
 [<ffffffff8122e2ba>] do_filp_open+0x8a/0x100
 [<ffffffff81200133>] ? kmem_cache_alloc+0x193/0x210
 [<ffffffff8123b43f>] ? __alloc_fd+0x3f/0x100
 [<ffffffff8121d3ca>] do_sys_open+0x13a/0x230
 [<ffffffff81141221>] ? __audit_syscall_exit+0x1e1/0x270
 [<ffffffff8121d4de>] SyS_open+0x1e/0x20
 [<ffffffff817791ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Code: 83 78 10 00 4d 8b 10 0f 84 43 01 00 00 4d 85 d2 0f 84 3a 01 00 00 49 63 45 20 49 8b 7d 00 4c 01 d0 40 f6 c7 0f 0f 85 6c 01 00 00 <48> 8b 18 48 8d 4a 01 4c 89 d0 65 48 0f c7 0f 0f 94 c0 84 c0 74 
RIP  [<ffffffff811ffba2>] kmem_cache_alloc_trace+0x82/0x220
 RSP <ffff880253a0bbd8>
Comment 1 Vinicius Reis 2015-11-05 14:33:06 EST
Created attachment 1090320 [details]
File: dmesg
Comment 2 Josh Boyer 2015-11-17 10:11:58 EST
*** Bug 1278560 has been marked as a duplicate of this bug. ***
Comment 3 Josh Boyer 2015-11-17 10:12:07 EST
*** Bug 1282475 has been marked as a duplicate of this bug. ***
Comment 4 Josh Boyer 2015-11-17 10:12:25 EST
*** Bug 1282834 has been marked as a duplicate of this bug. ***
Comment 5 Josh Boyer 2015-11-17 10:13:01 EST
Please run memtest86+ overnight on your machine.
Comment 6 Vinicius Reis 2015-11-18 07:21:15 EST
Hello, thank you for helping.

I've run memtest86 as you prescribed but no problems where found. As a confirmation, I've also run Dell Diagnostics on CPU, RAM and HD. Again, no problems were found.

I was investigating on the web and I've found a similar issue with Dell XPS 13 (mine is a Dell 7348, but I believe it shares a lot of the hardware with XPS 13, including the touchscreen panel).  The symptoms are the same: randomly hangs at a cold boot. The only difference is that I'm using a Fedora default install, so I believe I'm not using dm-crypt.

Here is the similar bug report I've found:
https://bugzilla.kernel.org/show_bug.cgi?id=105251

In few words, they were suspecting dm-crypt is causing this, but then reproduced this issue without it, and now the current suspect is hid_multitouch kernel module, when it's loaded in the ramdisk.
Comment 7 Vinicius Reis 2015-11-24 20:19:49 EST
Description of problem:
Just did a system reboot, trought gnome shell.
Everything was fine, grub listed the available kernels installed 
and I've chosen the newer one (4.2.6-300.fc23.x86_64). 

After 2 or 3 seconds of kernel selection, system hanged and (as GRUB is configured without the *rhgb* boot parameter)  was possible to see systemd errors and stack traces printed over the screen  every ~30secs.

I did a hard reboot pressing power button for 5 seconds. As soon I've chosen the kernel in the GRUB screen, the problem described above happened again. 
I did a new hard reboot, but then system booted normally. Hopefully Problem Reporting Tool caught it (sometimes it doesn't) and now I'm able to report it.

This kind of random crashes and hangs are becoming quite common during the boot proccess. I've filed some bug reports allready.

Some days ago after a crash like this one, I've  performed an all-night memtest86 session, with a dell diagnostics complete run on the next morning. But no hardware problems were found.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.2.6-300.fc23.x86_64 root=UUID=54a5ae4b-b710-4c1e-802e-dcdb0c4f7afa ro quiet LANG=pt_BR.UTF-8
kernel:         4.2.6-300.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
general protection fault: 0000 [#1] SMP 
Modules linked in: snd_timer snd soundcore i2c_i801 i2c_designware_platform i2c_designware_core nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_multitouch hid_sensor_hub i915 i2c_algo_bit drm_kms_helper drm serio_raw sdhci_acpi sdhci mmc_core video i2c_hid
CPU: 0 PID: 540 Comm: systemd-udevd Not tainted 4.2.6-300.fc23.x86_64 #1
Hardware name: Dell Inc. Inspiron 7348/0RTGX8, BIOS A07 07/07/2015
task: ffff88008e6fbb00 ti: ffff880253ecc000 task.ti: ffff880253ecc000
RIP: 0010:[<ffffffff811ffc32>]  [<ffffffff811ffc32>] kmem_cache_alloc_trace+0x82/0x220
RSP: 0018:ffff880253ecfbd8  EFLAGS: 00010246
RAX: 00008802527c80c0 RBX: 00000000000000d0 RCX: 0000000000000000
RDX: 000000000000488a RSI: 00000000000000d0 RDI: 0000000000019bc0
RBP: ffff880253ecfc18 R08: ffff88025ec19bc0 R09: ffffffff812995a7
R10: 00008802527c80c0 R11: 0000000000000000 R12: 00000000000000d0
R13: ffff880256003b00 R14: 0000000000000030 R15: ffff880256003b00
FS:  00007fab6fe7b8c0(0000) GS:ffff88025ec00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fab6eb85493 CR3: 0000000252a97000 CR4: 00000000003406f0
Stack:
 ffff88025476dcd8 ffffffff812995a7 ffff880253ecfc18 ffff880252baf078
 ffff88003fb79e00 ffff88003f9c8c00 0000000000000000 0000000000000000
 ffff880253ecfc68 ffffffff812995a7 ffff88003fb79e48 ffff88025476dcd8
Call Trace:
 [<ffffffff812995a7>] ? kernfs_fop_open+0x217/0x380
 [<ffffffff812995a7>] kernfs_fop_open+0x217/0x380
 [<ffffffff8121bbff>] do_dentry_open+0x1ff/0x2f0
 [<ffffffff81299390>] ? kernfs_fop_release+0x70/0x70
 [<ffffffff8121d096>] vfs_open+0x56/0x60
 [<ffffffff8122c0c4>] path_openat+0x1e4/0x12a0
 [<ffffffff8122d789>] ? filename_lookup+0xe9/0x180
 [<ffffffff8122e34a>] do_filp_open+0x8a/0x100
 [<ffffffff812001c3>] ? kmem_cache_alloc+0x193/0x210
 [<ffffffff8123b4cf>] ? __alloc_fd+0x3f/0x100
 [<ffffffff8121d45a>] do_sys_open+0x13a/0x230
 [<ffffffff81141241>] ? __audit_syscall_exit+0x1e1/0x270
 [<ffffffff8121d56e>] SyS_open+0x1e/0x20
 [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Code: 83 78 10 00 4d 8b 10 0f 84 43 01 00 00 4d 85 d2 0f 84 3a 01 00 00 49 63 45 20 49 8b 7d 00 4c 01 d0 40 f6 c7 0f 0f 85 6c 01 00 00 <48> 8b 18 48 8d 4a 01 4c 89 d0 65 48 0f c7 0f 0f 94 c0 84 c0 74 
RIP  [<ffffffff811ffc32>] kmem_cache_alloc_trace+0x82/0x220
 RSP <ffff880253ecfbd8>
Comment 8 Vinicius Reis 2015-12-07 16:32:34 EST
Description of problem:
Crashed on a (cold) system boot.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.3
cmdline:        BOOT_IMAGE=/boot/vmlinuz-4.2.6-301.fc23.x86_64 root=UUID=fbcbb53d-479b-44b4-b380-7f977d755221 ro quiet elevator=noop
kernel:         4.2.6-301.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
general protection fault: 0000 [#1] SMP 
Modules linked in: i2c_i801 i2c_designware_platform i2c_designware_core nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_multitouch hid_sensor_hub i915 i2c_algo_bit drm_kms_helper drm serio_raw sdhci_acpi sdhci mmc_core video i2c_hid
CPU: 1 PID: 579 Comm: systemd-udevd Not tainted 4.2.6-301.fc23.x86_64 #1
Hardware name: Dell Inc. Inspiron 7348/0RTGX8, BIOS A07 07/07/2015
task: ffff880252399d80 ti: ffff88003fba0000 task.ti: ffff88003fba0000
RIP: 0010:[<ffffffff812000af>]  [<ffffffff812000af>] kmem_cache_alloc+0x7f/0x210
RSP: 0018:ffff88003fba3ce8  EFLAGS: 00010246
RAX: 00ff88003f805cc0 RBX: 0000000000000200 RCX: ffff8802530e7e20
RDX: 0000000000003fdb RSI: 0000000000000200 RDI: 0000000000019bc0
RBP: ffff88003fba3d28 R08: ffff88025ec59bc0 R09: 00ff88003f805cc0
R10: 0000000000000004 R11: ffffffff81d30240 R12: 0000000000000200
R13: ffff880256003b00 R14: ffffffff811e0ac3 R15: ffff880256003b00
FS:  00007fc0978138c0(0000) GS:ffff88025ec40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fc097821000 CR3: 00000002535db000 CR4: 00000000003406e0
Stack:
 ffff88003fba3d88 ffffffff813293fb 00007fc09674d000 0000000000000000
 ffff8802522b3c00 ffff880253b0a1c0 ffff88025385b000 0000000000000000
 ffff88003fba3d88 ffffffff811e0ac3 ffff880200000015 0000000000000002
Call Trace:
 [<ffffffff813293fb>] ? cred_has_capability+0x6b/0x100
 [<ffffffff811e0ac3>] anon_vma_clone+0x63/0x1c0
 [<ffffffff811e0c56>] anon_vma_fork+0x36/0x120
 [<ffffffff8109c83e>] copy_process.part.23+0xafe/0x1960
 [<ffffffff8109d874>] _do_fork+0xe4/0x360
 [<ffffffff810223ab>] ? do_audit_syscall_entry+0x4b/0x70
 [<ffffffff8102356f>] ? syscall_trace_enter_phase1+0x12f/0x190
 [<ffffffff81141241>] ? __audit_syscall_exit+0x1e1/0x270
 [<ffffffff8109db99>] SyS_clone+0x19/0x20
 [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Code: 83 78 10 00 4d 8b 08 0f 84 37 01 00 00 4d 85 c9 0f 84 2e 01 00 00 49 63 45 20 49 8b 7d 00 4c 01 c8 40 f6 c7 0f 0f 85 60 01 00 00 <48> 8b 18 48 8d 4a 01 4c 89 c8 65 48 0f c7 0f 0f 94 c0 84 c0 74 
RIP  [<ffffffff812000af>] kmem_cache_alloc+0x7f/0x210
 RSP <ffff88003fba3ce8>
Comment 9 Laura Abbott 2016-09-23 15:23:09 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 10 Laura Abbott 2016-10-26 12:42:59 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.